//
// Created by Krad on 2021/11/24.
//

#ifndef GUI_SelectDialog_H
#define GUI_SelectDialog_H

#include "GUIFormBaseDialog.h"
class SlidePickerBox;
class SelectDialog :public  GUIFormBaseDialog{
    Q_OBJECT
public:
    explicit SelectDialog(QWidget *parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
    ~SelectDialog() override;
    void setAvailableDates(QStringList dates);
    QString getSelectedValue();
    void setSelectedValue(const QString& val);
protected:
    bool updateReferenceData() override;
    SlidePickerBox* box = nullptr;
};


#endif //GUI_SelectDialog_H
